-- -------------------------------------------------------------------------- --
-- AHsearch zhCN Localization                                                 --
-- Please make sure to save this file as UTF-8. ¶                             --
-- -------------------------------------------------------------------------- --
if GetLocale() ~= "zhCN" then return end
AHsearch_Locales:CreateLocaleTable({
	["Search"] = "搜索",
	["Search query"] = "查询",
	["search queries"] = "名称",
	["Search term"] = "关键字",
	["Category"] = "类别",
	["Options"] = "选项",

--- Options ------------------
	-- Tooltip settings
	["Tooltip"] = "提示",
	["Tooltip settings"] = "提示设置",
	["Show tooltip"] = "显示提示",
	["Simple filters display"] = "详细信息显示",
	["Tooltip shows only selected filters resp. 'no filters' instead of\n'1.) -'\n'2.) -'\n'3.) -'"] = "在ToolTip上显示详细的过滤",
	-- Cycle Search Button settings
--["Buttons"] = true, -- -----NEEDS_TRANSLATION----- --
--["Button settings"] = true, -- -----NEEDS_TRANSLATION----- --
--["Show Button for Next and Previous Search"] = true, -- -----NEEDS_TRANSLATION----- --
--["Show Button for Random Search"] = true, -- -----NEEDS_TRANSLATION----- --

--- Tooltip ------------------
	["Level Range"] = "等级范围",
	["Rarity"] = "稀有程度",
	[" and better"] = " 更好",
	["Usable Items"] = "可用物品",
	["Display on Character"] = "试穿效果",
	["Filters"] = "过滤设置",
	["YES"] = "YES",
	["NO"] = "NO",

	["No category available!"] = "没有可用的分类!",
	["Right-click 'AHsearch Button' for options!"] = "右键点击AHsearch，显示设置选项",

--- Search query: Save ------------------
	["Search query: Save"] = "保存到",
	["Save your current search query in a category."] = "在这个分类中保存你的查询.",
	["Overwrite excisting search query '%s' in category '%s'?"] = "覆盖 '%s' 在分类 '%s'中?",
	["Search query '%s' SAVED in category '%s'!"] = "新查询 '%s' 在分类 '%s' 保存成功!",

--- Search query: Edit ------------------
	["Search query: Edit"] = "编辑",
	["Edit position, search query, search term, level range, rarity, usable items, display on character and filters for a search query."] = "详细信息",

	["Search query: Sort"] = "更新",
	["Sort search query by assigning a number to it.\nSort sequence:\n1.) number\n2.) rarity\n3.) upper case\n4.) lower case"] = "排序",
	["ASSIGNED sort number '%s' to search query '%s' (Category: %s)!"] = "排序 '%s' 到 '%s' (分类: %s) 成功!",

	["Search query: Rename search query"] = "更新",
	["Rename the name of your search query. This is the name that is shown in the menu."] = "更新查询",
	["Search query '%s' (Search term: '%s' - Category: %s) RENAMED TO '%s'!"] = "查询名 '%s' (关键字: '%s' - 分类: %s) 修改为 '%s'!",

	["Search query: Rename search term"] = "更新关键字",
	["Rename the search term of your search query. This is the search term that is shown in the auction house searchtextbox (blank will search all)."] = "更新关键字",
	["Search term '%s' (Search query: %s - Category: %s) CHANGED TO '%s'!"] = "查询关键字 '%s' (查询名: %s - 分类: %s) 修改为 '%s'!",

	["Search query: Level range"] = "查询范围",
	["Change min. and max. level range (blank (no value) will search all)."] = "设置查询范围",
	["min"] = "最小",
	["max"] = "最大",
	["no value"] = "空",
	["Min. Level for search query '%s' (Category: %s) CHANGED TO 'no value'!"] = "该查询名中的最小查询级别 '%s' (种类: %s) 修改为 '空'!",
	["Min. Level for search query '%s' (Category: %s) CHANGED TO %s!"] = "该查询名中的最小查询级别 '%s' (种类: %s) 修改为 %s!",
	["Max. Level for search query '%s' (Category: %s) CHANGED TO 'no value'!"] = "该查询名中的最大查询级别 '%s' (种类: %s) 修改为 '空'!",
	["Max. Level for search query '%s' (Category: %s) CHANGED TO %s!"] = "该查询名中的最大查询级别 '%s' (种类: %s) 修改为 %s!",

	["Search query: Rarity"] = "稀有度",
	["Change rarity. Only selected rarity or better will show in searchresult."] = "设置稀有度",
	["Rarity for search query '%s' (Category: %s) CHANGED TO %s!"] = "该查询名中的稀有度 '%s' (分类: %s) 修改为 %s!",

	["Search query: Usable Items"] = "可用",
	["Usable Items for search query '%s' (Category: %s) SET TO %s!"] = "该查询名中的可用物品 '%s' (分类: %s) 修改为 %s!",

	["Search query: Display on Character"] = "展示特性",
	["Display on Character for search query '%s' (Category: %s) SET TO %s!"] = "该查询名中的显示特性 '%s' (分类: %s) 修改为 %s!",

	["Search query: Filters"] = "搜索查询：过滤器",
	["Select a filter. Only one filter is selectable."] = "选择一个过滤条件.仅可一种过滤可选",
	["no filters"] = "无过滤",
	["Filters for search query '%s' (Category: %s) CHANGED TO %s!"] = "该查询名中的过滤器 '%s' (分类: %s) 修改为 %s!",
	["Filters for search query '%s' (Category: %s) CHANGED TO %s-%s!"] = "该查询名中的过滤器 '%s' (分类: %s) 修改为%s-%s!",
	["Filters for search query '%s' (Category: %s) CHANGED TO %s-%s-%s!"] = "该查询名中的过滤器 '%s' (分类: %s) 修改为%s-%s-%s!",

--- Search query: Delete ------------------
	["Search query: Delete"] = "删除",
	["Delete a search query."] = "删除一个查询",
	["Delete search query '%s' in category '%s'?"] = "删除查询名'%s'在分类'%s'中?",
	["Search query '%s' in category '%s' DELETED!"] = "查询名'%s' 在分类中 '%s' 删除成功!",

--- Search query: Move ------------------
	["Search query: Move"] = "移动",
	["Move a search query from one category to another category.\n\nATTENTION:\nPosition is set to 1!"] = "移动查询",
--["Move\nsearch query '%s'\nin category '%s'\nto category '%s'.\n\nATTENTION:\nPosition is set to 1!"] = true, -- -----NEEDS_TRANSLATION----- --
	["Search query '%s' in category '%s' MOVED TO category '%s'."] = "查询名 '%s'从分类 '%s'移动到分类 '%s' .",
	["Search query '%s' exists in category '%s'! Overwrite?"] = "查询名 '%s' 在分类 '%s'中存在! 是否覆盖?",

--- Category: Create ------------------
	["Category: Create"] = "创建分类",
	["Create a new category."] = "创建一个新的分类",
	["Category '%s' exists!\nOverwrite excisting category '%s'?\nAll search queries in that category will be deleted!"] = "分类'%s'存在!\n覆盖存在的分类 '%s' ?\n该分类中所有查询将被删除!",
	["Category '%s' CREATED!"] = "分类 '%s' 创建成功!",

--- Category: Edit ------------------
	["Category: Edit"] = "修改类别",
	["Rename, sort, set color and icon for a category."] = "修改类别",

	["Category: Rename"] = "重命名类别",
	["Rename category."] = "重命名类别",
	["Category '%s' RENAMED TO '%s'!"] = "分类 '%s' 重命名为'%s'!",

	["Category: Sort"] = "排序类别",
	["Sort category by assigning a number to it.\nSort sequence:\n1.) number\n2.) upper case\n3.) lower case"] = "根据赋予该分类的数字排序.\n分类顺序:\n1.) 数字\n2.) 大写字母\n3.) 小写字母",
	["ASSIGNED sort number '%s' to category '%s'!"] = "分配排序数字",
	["Position"] = "排序",

	["Category: Color"] = "设置类别颜色",
	["Set color for a category."] = "设置类别颜色",
	["Color"] = "颜色",
	["SELECTED color for category '%s': %s%s ### '%s'|r"] = "设置颜色成功!",

	["Category: Icon"] = "设置类别图标",
	["Set icon for a category."] = "设置类别的图标",
	["Icon"] = "图标",
--["SELECTED icon for category '%s': %s"] = true, -- -----NEEDS_TRANSLATION----- --
	["selected"] = "选定",

--- Category: Delete ------------------
	["Category: Delete"] = "删除查询类别",
	["Delete category and all saved search queries in that category!"] = "删除该分类和该分类下首页查询名!",
	["Delete category '%s'?\nAll search queries in that category will be deleted!"] = "删除分类 '%s' ?\n所有该分类下查询名将被删除!",
	["Category '%s' DELETED!"] = "分类 '%s' 删除成功!",

--- Chatoutput ------------------
	["Chatoutput"] = "聊天框输出",
	["Activate/Deactivate chatoutput for:\n- SEARCH\n- Search query: SAVE, EDIT, MOVE & DELETE\n- Category: CREATE, EDIT & DELETE"] = "激活/关闭聊天命令行显示.",

--- Help ------------------
	["Help"] = "帮助（Exo-国王之谷）",
	["%sStep 1 or 2%s: Right-click 'AHsearch Button' and create category ('Category: Create')."] = "1.右键点击AHsearch按钮并且创建分类",
	["%sStep 1 or 2%s: Set up your search criteria (you don't have to click the search button)."] = "2.设置你的查询范围.",
	["%sStep 3%s: Right-click 'AHsearch Button' and choose a category in 'Search query: Save'."] = "3.右键点击AHsearch按钮并且'保存查询名'中选择分类",
	["%sStep 4%s: Give your search a name. Press Enter."] = "4.输入搜索关键词，按回车.",
	["%sStep 5%s: Left-click 'AHsearch Button' for your search queries."] = "5.左键点击'AHsearch按钮'选择你的查询名",
	["Key Bindings for next/previous/random search: %sESC -> Key Bindings -> AHsearch%s"] = "绑定按键.%sESC -> Key Bindings -> AHsearch%s",
	["Maximum text length for categories and search queries: %s%s characters%s"] = "最多的文字搜索：%s%s 字符",
	["Color coding for saved search queries:"] = "保存查询名的颜色:",
	["All"] = "全部",
})

BINDING_HEADER_AHSEARCH           = "搜索"
BINDING_NAME_AHSEARCHNEXTSEARCH   = "下一个搜索"
BINDING_NAME_AHSEARCHPREVSEARCH   = "前一个搜索"
BINDING_NAME_AHSEARCHRANDOMSEARCH = "随机搜索"